<div (mouseenter)="Enter(i)" (mouseleave)="Leave(i)" [style.backgroundColor]="backgroundColor" [style.opacity]="opacity">
  <a [style.opacity]="opacity">
    <span>{{matiere}}</span>
    <img [src]="getImg()"/>
  </a>
</div>